DevHeads.net

Intent to retire OCE (OpenCascade Community Edition)

It has a lot of libraries so I haven't tried figuring out what all packages
are affected but since OCC (OpenCASCADE) went GPL OCE has not been updated
and appears to be no longer maintained.

I have moved FreeCAD over to my new "opencascade" package and am working on
moving netgen-mesher over. Once complete, unless there's a good reason to
keep it, I plan to retire it in Rawhide.

Thanks,
Richard

Comments

Re: Intent to retire OCE (OpenCascade Community Edition)

By Ian McInerney at 11/15/2019 - 16:58

A repoquery for build-requires on the OCE-devel package only gives these 4
packages:
gmsh-0:4.4.1-3.fc32.src
kicad-1:5.1.4-5.fc32.src
netgen-mesher-0:6.2.1810-4.fc32.src
smesh-0:6.7.5-7.fc31.src

I know that switching KiCad to use opencascade instead should be simple
(just switch a CMake flag), but I am not sure about the other 2 listed
there.

-Ian